<?php
session_start();
if (!isset($_SESSION["authenticated"])) {
    header("Location: login.php");
    exit();
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $domain = escapeshellcmd($_POST["domain"]);
    $ip_address = escapeshellcmd($_POST["ip_address"]);

    $zone_file = "/etc/bind/db.$domain";
    if (!file_exists($zone_file)) {
        file_put_contents($zone_file, "
\$TTL 86400
@ IN SOA ns1.$domain. admin.$domain. (
  2025012801 ; Serial
  3600       ; Refresh
  1800       ; Retry
  1209600    ; Expire
  86400 )    ; Minimum TTL

@   IN  NS  ns1.$domain.
@   IN  A   $ip_address
www IN  A   $ip_address
");
    }

    shell_exec("systemctl restart bind9");
    $message = "DNS configured for $domain!";
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>DNS Management - AffPanel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="container mt-5">
    <h2>Manage DNS Records</h2>
    <?php if (isset($message)) { echo "<div class='alert alert-success'>$message</div>"; } ?>
    <form method="post">
        <label>Domain Name:</label>
        <input type="text" name="domain" class="form-control" required>
        <label>IP Address:</label>
        <input type="text" name="ip_address" class="form-control" required>
        <button type="submit" class="btn btn-primary mt-2">Add DNS Record</button>
    </form>
</body>
</html>
