<?php
session_start();
if (!isset($_SESSION["authenticated"])) {
    header("Location: login.php");
    exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>AffPanel Dashboard</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="container mt-5">
    <h2>Welcome to AffPanel</h2>
    <p>Manage your websites, domains, and DNS settings easily.</p>
    <a href="domains.php" class="btn btn-primary">Manage Domains</a>
    <a href="dns.php" class="btn btn-secondary">Manage DNS</a>
    <a href="logout.php" class="btn btn-danger">Logout</a>
</body>
</html>
